Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyConnectionMetaData

    java.lang.Object
      org.jboss.mq.SpyConnectionMetaData

All Implemented Interfaces:
  javax.jms.ConnectionMetaData

public class SpyConnectionMetaData
extends Object
implements javax.jms.ConnectionMetaData

This class implements javax.jms.ConnectionMetaData

Version:
  $Revision: 1.8 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino (Norbert.Lataille@m4x.org), Adrian Brock

Constructor Summary
`SpyConnectionMetaData()`

Method Summary
`int` | `getJMSMajorVersion()`
`int` | `getJMSMinorVersion()`
`String` | `getJMSProviderName()`
`String` | `getJMSVersion()`
`Enumeration` | `getJMSXPropertyNames()`
`int` | `getProviderMajorVersion()`
`int` | `getProviderMinorVersion()`
`String` | `getProviderVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpyConnectionMetaData

    public SpyConnectionMetaData()

Method Detail

### getJMSVersion

    public String getJMSVersion()

  Specified by:
    `getJMSVersion` in interface `javax.jms.ConnectionMetaData`

### getJMSMajorVersion

    public int getJMSMajorVersion()

  Specified by:
    `getJMSMajorVersion` in interface `javax.jms.ConnectionMetaData`

### getJMSMinorVersion

    public int getJMSMinorVersion()

  Specified by:
    `getJMSMinorVersion` in interface `javax.jms.ConnectionMetaData`

### getJMSProviderName

    public String getJMSProviderName()

  Specified by:
    `getJMSProviderName` in interface `javax.jms.ConnectionMetaData`

### getProviderVersion

    public String getProviderVersion()

  Specified by:
    `getProviderVersion` in interface `javax.jms.ConnectionMetaData`

### getProviderMajorVersion

    public int getProviderMajorVersion()

  Specified by:
    `getProviderMajorVersion` in interface `javax.jms.ConnectionMetaData`

### getProviderMinorVersion

    public int getProviderMinorVersion()

  Specified by:
    `getProviderMinorVersion` in interface `javax.jms.ConnectionMetaData`

### getJMSXPropertyNames

    public Enumeration getJMSXPropertyNames()

  Specified by:
    `getJMSXPropertyNames` in interface `javax.jms.ConnectionMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.